Invitations
Invitations
On Fider Cloud, only sites on a Pro plan can customize the invitation email. On other plans, the subject and message sent are replaced by the default invitation text.
Send a Sample
Sample invitations are examples of invitation emails that are sent to the current authenticated user's email. Use it to see how the email looks before sending it to other users. In the sample, the %invite% placeholder is replaced by a note instead of a real invitation link.
- Authentication: Required
- Required Role: Collaborator or Administrator
POST /api/v1/invitations/sample
Parameters
| Name | Type | Description |
|---|---|---|
subject | string | Required. The subject of the email to be sent. Maximum 70 characters. |
message | string | Required. The content of the email to be sent, in Markdown. The message must include the %invite% placeholder, which will be replaced by a secure invitation link. |
Example
POST <baseURL>/api/v1/invitations/sample
---
{
"subject": "Share your ideas and thoughts about Fider",
"message": "Hi,\n\nAt **Fider** we take feedback very seriously, which is why we've launched a space where you can vote, discuss and share your ideas and thoughts about our products and services.\n\nWe'd like to extend an invite for you to join this community and raise awareness on topics you care about!\n\nTo join, click on the link below.\n\n%invite%\n\nRegards,\nFider"
}
Response
200 OK
---
{}
Send an Invite
- Authentication: Required
- Required Role: Collaborator or Administrator
POST /api/v1/invitations/send
Recipients that are already registered on the site are skipped. If all recipients are already registered, the request fails with 400 Bad Request. The emails are sent in the background.
Parameters
| Name | Type | Description |
|---|---|---|
recipients | array of strings | Required. The list of email addresses to send an invite. Maximum 30 recipients. |
subject | string | Required. The subject of the email to be sent. Maximum 70 characters. |
message | string | Required. The content of the email to be sent, in Markdown. The message must include the %invite% placeholder, which will be replaced by a secure invitation link. |
Example
POST <baseURL>/api/v1/invitations/send
---
{
"recipients":["jon.snow@got.com","arya.stark@got.com"],
"subject": "Share your ideas and thoughts about Fider",
"message": "Hi,\n\nAt **Fider** we take feedback very seriously, which is why we've launched a space where you can vote, discuss and share your ideas and thoughts about our products and services.\n\nWe'd like to extend an invite for you to join this community and raise awareness on topics you care about!\n\nTo join, click on the link below.\n\n%invite%\n\nRegards,\nFider"
}
Response
200 OK
---
{}